# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
#        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                #url: jdbc:mysql://192.168.8.213:3306/twzd?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true
                url: jdbc:mysql://1.15.26.233:3307/twzd?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true
                username: root
                password: miaxis110
            # 从库数据源
#            newgzpt:
#                # 从数据源开关/默认关闭
#                enabled: true
#                url: jdbc:oracle:thin:@47.99.70.145:1521:orcl
#                username: newgzpt
#                password: newgzpt2016
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter:
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username:
                login-password:
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
    cache:
        type: redis
        # redis 配置
        redis:
            # 地址
            host: 1.15.29.64
            # 端口，默认为6379
            port: 6379
            # 密码
            password: miaxis110
            # 连接超时时间
            timeout: 10000
            lettuce:
                pool:
                    # 连接池中的最小空闲连接
                    min-idle: 0
                    # 连接池中的最大空闲连接
                    max-idle: 8
                    # 连接池的最大数据库连接数
                    max-active: 8
                    # #连接池最大阻塞等待时间（使用负值表示没有限制）
                    max-wait: -1ms
            # 指定库
            database: 14



# 微信公众号
app:
    appId: wx67ca1b8c9816ef28
    appSecret: 8604f2a6eb6338cfa64e7df4ec2c08b3


# 微信支付
wxpay:
    v3url: https://api.mch.weixin.qq.com/v3/pay/transactions/jsapi
    v3urlRefund: https://api.mch.weixin.qq.com/v3/refund/domestic/refunds
    merchantId: 1615410794
    serialNumber: 5F85D69504B3B33DAF5A7C5B86A3E93915D3D5B0
    v3key: 8604f2a6eb6338cfa64e7df4ec2c08b3
    notifyUrl: http://1.15.26.233:8080/twzd-admin/open-api/wx/notify/wxpay
    notifyUrlRefund: http://1.15.26.233:8080/twzd-admin/open-api/wx/notify/refund
    appId: wx67ca1b8c9816ef28

# 腾讯cos
cos:
    secretId: AKIDwISNOFsJXYGjy89FJI9UnzuZFgTtRgFe
    secretKey: IK5af8MJzPoKbdQxDCtKWR5T5PSEkyDB
    bucket: ap-shanghai
    bucketName: twzd-1305573081
    path: https://twzd-1305573081.cos.ap-shanghai.myqcloud.com
    preffix: twzd-test


# 分销二维码生成路径
file:
    ticketPath: /data/test/


# 公众号
wxgzh:
    # 上传永久素材
    materialUrl: https://api.weixin.qq.com/cgi-bin/material/add_material?access_token=
    # 上传临时素材
    mediaUpload: https://api.weixin.qq.com/cgi-bin/media/upload?access_token=
